Loading...
Searching...
No Matches
Opm::Satfunc::PhaseChecks::ScaledSatfuncCheckPoint< Scalar > Class Template Reference

Callbacks for defining the scaled saturation function consistency check point of a single active grid block. More...

`#include <ScaledSatfuncCheckPoint.hpp>`

Inheritance diagram for Opm::Satfunc::PhaseChecks::ScaledSatfuncCheckPoint< Scalar >:

## Public Types

using | LocalToGlobal = std::function<std::size_t(const int)>
| Callback for translating active cell index to globally unique point ID.

## Public Member Functions

| ScaledSatfuncCheckPoint (const UnscaledSatfuncCheckPoint< Scalar > &unscaled, const EclipseState *eclipseState, const EclEpsGridProperties *epsGridProps, const LocalToGlobal &localToGlobal)
| Constructor.
std::optional< std::size_t > | pointID (const int cellIdx) const override
| Compute global unique, i.e., across all MPI ranks, ID of this check for a particular cell index.
void | populateCheckPoint (const int cellIdx, EclEpsScalingPointsInfo< Scalar > &endPoints) const override
| Populate check point values for a particular cell.
Public Member Functions inherited from Opm::Satfunc::PhaseChecks::SatfuncCheckPointInterface< Scalar >
virtual | ~SatfuncCheckPointInterface ()=default
| Virtual destructor for public inheritance.

## Detailed Description

template<typename Scalar>
class Opm::Satfunc::PhaseChecks::ScaledSatfuncCheckPoint< Scalar >

Callbacks for defining the scaled saturation function consistency check point of a single active grid block.

Template Parameters

  Scalar | Element type. Typically `float` or `double`.

## Constructor & Destructor Documentation

## ScaledSatfuncCheckPoint()

template<typename Scalar>

Opm::Satfunc::PhaseChecks::ScaledSatfuncCheckPoint< Scalar >::ScaledSatfuncCheckPoint | ( | const UnscaledSatfuncCheckPoint< Scalar > & | unscaled,
|  | const EclipseState * | eclipseState,
|  | const EclEpsGridProperties * | epsGridProps,
|  | const LocalToGlobal & | localToGlobal )

inline explicit

Constructor.

Parameters

  [in] | unscaled | Callbacks for inferring the end-points of the underlying saturation region.
  [in] | eclipseState | Container of static properties such as the scaled saturation function end-points.
  [in] | epsGridProps | Access interface for scaled saturation function end-points.
  [in] | localToGlobal | Callback for translating active cell indices to globally unique point IDs.

## Member Function Documentation

## pointID()

template<typename Scalar>

std::optional< std::size_t > Opm::Satfunc::PhaseChecks::ScaledSatfuncCheckPoint< Scalar >::pointID | ( | const int | cellIdx | ) | const

inline override virtual

Compute global unique, i.e., across all MPI ranks, ID of this check for a particular cell index.

Parameters

  [in] | cellIdx | Active cell index on current rank.

Returns
  Globally unique point ID for `cellIdx`

Implements Opm::Satfunc::PhaseChecks::SatfuncCheckPointInterface< Scalar >.

## populateCheckPoint()

template<typename Scalar>

void Opm::Satfunc::PhaseChecks::ScaledSatfuncCheckPoint< Scalar >::populateCheckPoint | ( | const int | cellIdx,
|  | EclEpsScalingPointsInfo< Scalar > & | endPoints ) const

override virtual

Populate check point values for a particular cell.

Parameters

  [in] | cellIdx | Active cell index on current rank.
  [out] | endPoints | Set of saturation function end-points.

Implements Opm::Satfunc::PhaseChecks::SatfuncCheckPointInterface< Scalar >.

The documentation for this class was generated from the following files:

- opm/simulators/utils/satfunc/ScaledSatfuncCheckPoint.hpp
- opm/simulators/utils/satfunc/ScaledSatfuncCheckPoint.cpp